Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dtd
Class XMLNotationDecl

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLNotationDecl

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLNotationDecl
extends Object

Field Summary
`String` | `baseSystemId` Deprecated. base systemId
`String` | `name` Deprecated. name
`String` | `publicId` Deprecated. publicId
`String` | `systemId` Deprecated. systemId

Constructor Summary
`XMLNotationDecl()` Deprecated.

Method Summary
`void` | `clear()` Deprecated. clear
`void` | `setValues(String name, String publicId, String systemId, String baseSystemId)` Deprecated. setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseSystemId

    public String baseSystemId

  Deprecated.
  base systemId

### name

    public String name

  Deprecated.
  name

### publicId

    public String publicId

  Deprecated.
  publicId

### systemId

    public String systemId

  Deprecated.
  systemId

Constructor Detail

### XMLNotationDecl

    public XMLNotationDecl()

  Deprecated.

Method Detail

### clear

    public void clear()

  Deprecated.
  clear

### setValues

    public void setValues(String name,
                          String publicId,
                          String systemId,
                          String baseSystemId)

  Deprecated.
  setValues

  Parameters:
    `name` -
    `publicId` -
    `systemId` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD